Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFrameFormat

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextFormat
                  com.trolltech.qt.gui.QTextFrameFormat

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

Direct Known Subclasses:
  QTextTableFormat

    public class QTextFrameFormat

extends QTextFormat
implements java.lang.Cloneable

The `QTextFrameFormat` class provides formatting information for frames in a `QTextDocument`. A text frame groups together one or more blocks of text, providing a layer of structure larger than the paragraph. The format of a frame specifies how it is rendered and positioned on the screen. It does not directly specify the behavior of the text formatting within, but provides constraints on the layout of its children.

The frame format defines the `width()` and `height()` of the frame on the screen. Each frame can have a `border()` that surrounds its contents with a rectangular box. The border is surrounded by a `margin()` around the frame, and the contents of the frame are kept separate from the border by the frame's `padding()`. This scheme is similar to the box model used by Cascading Style Sheets for HTML pages.

The `position()` of a frame is set using `setPosition()` and determines how it is located relative to the surrounding text.

The validity of a `QTextFrameFormat` object can be determined with the `isValid()` function.

See also:
  `QTextFrame`, and `QTextBlockFormat`.

Nested Class Summary
`static class` | `QTextFrameFormat.BorderStyle`
`static class` | `QTextFrameFormat.Position`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QTextFormat
`QTextFormat.FormatType, QTextFormat.ObjectTypes, QTextFormat.PageBreakFlag, QTextFormat.PageBreakFlags, QTextFormat.Property`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextFrameFormat()` Constructs a text frame format object with the default properties.

Method Summary
`double` | `border()` Returns the width of the border in pixels.
`QBrush` | `borderBrush()` Returns the brush used for the frame's border.
`QTextFrameFormat.BorderStyle` | `borderStyle()` Returns the style of the frame's border.
`double` | `bottomMargin()` Returns the width of the frame's bottom margin in pixels.
`QTextFrameFormat` | `clone()` This method is reimplemented for internal reasons
`static QTextFrameFormat` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextFrameFormat instance pointed to by `nativePointer`.
`QTextLength` | `height()` Returns the height of the frame's border rectangle.
`double` | `leftMargin()` Returns the width of the frame's left margin in pixels.
`double` | `margin()` Returns the width of the frame's external margin in pixels.
`static QNativePointer` | `nativePointerArray(QTextFrameFormat[] array)` This function returns a QNativePointer that is pointing to the specified QTextFrameFormat array.
`double` | `padding()` Returns the width of the frame's internal padding in pixels.
`QTextFormat.PageBreakFlags` | `pageBreakPolicy()` Returns the currently set page break policy for the frame/table.
`QTextFrameFormat.Position` | `position()` Returns the positioning policy for frames with this frame format.
`double` | `rightMargin()` Returns the width of the frame's right margin in pixels.
`void` | `setBorder(double border)` Sets the `width` (in pixels) of the frame's border.
`void` | `setBorderBrush(QBrush brush)` Sets the `brush` used for the frame's border.
`void` | `setBorderStyle(QTextFrameFormat.BorderStyle style)` Sets the `style` of the frame's border.
`void` | `setBottomMargin(double margin)` Sets the frame's bottom `margin` in pixels.
`void` | `setHeight(double height)` Sets the frame's `height`.
`void` | `setHeight(QTextLength height)` Sets the frame's `height`.
`void` | `setLeftMargin(double margin)` Sets the frame's left `margin` in pixels.
`void` | `setMargin(double margin)` Sets the frame's `margin` in pixels.
`void` | `setPadding(double padding)` Sets the `width` of the frame's internal padding in pixels.
`void` | `setPageBreakPolicy(QTextFormat.PageBreakFlag[] flags)` Sets the page break policy for the frame/table to `policy`.
`void` | `setPageBreakPolicy(QTextFormat.PageBreakFlags flags)` Sets the page break policy for the frame/table to `policy`.
`void` | `setPosition(QTextFrameFormat.Position f)` Sets the `policy` for positioning frames with this frame format.
`void` | `setRightMargin(double margin)` Sets the frame's right `margin` in pixels.
`void` | `setTopMargin(double margin)` Sets the frame's top `margin` in pixels.
`void` | `setWidth(double width)` Convenience method that sets the width of the frame's border rectangle's width to the specified fixed `width`.
`void` | `setWidth(QTextLength length)` Sets the frame's border rectangle's `width`.
`double` | `topMargin()` Returns the width of the frame's top margin in pixels.
`QTextLength` | `width()` Returns the width of the frame's border rectangle.

Methods inherited from class com.trolltech.qt.gui.QTextFormat
`background, boolProperty, brushProperty, clearBackground, clearForeground, clearProperty, colorProperty, doubleProperty, foreground, hasProperty, intProperty, isBlockFormat, isCharFormat, isFrameFormat, isImageFormat, isListFormat, isTableCellFormat, isTableFormat, isValid, layoutDirection, lengthProperty, lengthVectorProperty, merge, nativePointerArray, objectIndex, objectType, penProperty, properties, property, propertyCount, readFrom, setBackground, setForeground, setLayoutDirection, setObjectIndex, setObjectType, setProperty, setProperty, stringProperty, toBlockFormat, toCharFormat, toFrameFormat, toImageFormat, toListFormat, toTableCellFormat, toTableFormat, type, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextFrameFormat

    public QTextFrameFormat()

  Constructs a text frame format object with the default properties.

Method Detail

### border

    public final double border()

  Returns the width of the border in pixels.

See also:
  `setBorder()`.

### borderBrush

    public final QBrush borderBrush()

  Returns the brush used for the frame's border.

See also:
  `setBorderBrush()`.

### borderStyle

    public final QTextFrameFormat.BorderStyle borderStyle()

  Returns the style of the frame's border.

See also:
  `setBorderStyle()`.

### bottomMargin

    public final double bottomMargin()

  Returns the width of the frame's bottom margin in pixels.

See also:
  `setBottomMargin()`.

### height

    public final QTextLength height()

  Returns the height of the frame's border rectangle.

See also:
  `setHeight()`.

### leftMargin

    public final double leftMargin()

  Returns the width of the frame's left margin in pixels.

See also:
  `setLeftMargin()`.

### margin

    public final double margin()

  Returns the width of the frame's external margin in pixels.

See also:
  `setMargin()`.

### padding

    public final double padding()

  Returns the width of the frame's internal padding in pixels.

See also:
  `setPadding()`.

### pageBreakPolicy

    public final QTextFormat.PageBreakFlags pageBreakPolicy()

  Returns the currently set page break policy for the frame/table. The default is `QTextFormat::PageBreak_Auto` .

See also:
  `setPageBreakPolicy()`.

### position

    public final QTextFrameFormat.Position position()

  Returns the positioning policy for frames with this frame format.

See also:
  `setPosition()`.

### rightMargin

    public final double rightMargin()

  Returns the width of the frame's right margin in pixels.

See also:
  `setRightMargin()`.

### setBorder

    public final void setBorder(double border)

  Sets the `width` (in pixels) of the frame's border.

See also:
  `border()`.

### setBorderBrush

    public final void setBorderBrush(QBrush brush)

  Sets the `brush` used for the frame's border.

See also:
  `borderBrush()`.

### setBorderStyle

    public final void setBorderStyle(QTextFrameFormat.BorderStyle style)

  Sets the `style` of the frame's border.

See also:
  `borderStyle()`.

### setBottomMargin

    public final void setBottomMargin(double margin)

  Sets the frame's bottom `margin` in pixels.

See also:
  `bottomMargin()`.

### setHeight

    public final void setHeight(QTextLength height)

  Sets the frame's `height`.

See also:
  `height()`.

### setHeight

    public final void setHeight(double height)

  Sets the frame's `height`.

### setLeftMargin

    public final void setLeftMargin(double margin)

  Sets the frame's left `margin` in pixels.

See also:
  `leftMargin()`.

### setMargin

    public final void setMargin(double margin)

  Sets the frame's `margin` in pixels. This method also sets the left, right, top and bottom margins of the frame to the same value. The individual margins override the general margin.

See also:
  `margin()`.

### setPadding

    public final void setPadding(double padding)

  Sets the `width` of the frame's internal padding in pixels.

See also:
  `padding()`.

### setPageBreakPolicy

    public final void setPageBreakPolicy(QTextFormat.PageBreakFlag[] flags)

  Sets the page break policy for the frame/table to `policy`.

See also:
  `pageBreakPolicy()`.

### setPageBreakPolicy

    public final void setPageBreakPolicy(QTextFormat.PageBreakFlags flags)

  Sets the page break policy for the frame/table to `policy`.

See also:
  `pageBreakPolicy()`.

### setPosition

    public final void setPosition(QTextFrameFormat.Position f)

  Sets the `policy` for positioning frames with this frame format.

See also:
  `position()`.

### setRightMargin

    public final void setRightMargin(double margin)

  Sets the frame's right `margin` in pixels.

See also:
  `rightMargin()`.

### setTopMargin

    public final void setTopMargin(double margin)

  Sets the frame's top `margin` in pixels.

See also:
  `topMargin()`.

### setWidth

    public final void setWidth(QTextLength length)

  Sets the frame's border rectangle's `width`.

See also:
  `width()`, and `QTextLength`.

### setWidth

    public final void setWidth(double width)

  Convenience method that sets the width of the frame's border rectangle's width to the specified fixed `width`.

### topMargin

    public final double topMargin()

  Returns the width of the frame's top margin in pixels.

See also:
  `setTopMargin()`.

### width

    public final QTextLength width()

  Returns the width of the frame's border rectangle.

See also:
  `setWidth()`, and `QTextLength`.

### fromNativePointer

    public static QTextFrameFormat fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextFrameFormat instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextFrameFormat[] array)

  This function returns a QNativePointer that is pointing to the specified QTextFrameFormat array.

### clone

    public QTextFrameFormat clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QTextFormat`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD